Padded (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface Padded

- All Known Subinterfaces:
    BodyClosedCompletePartitionPack, BodyClosedIncompletePartitionPack, BodyOpenCompletePartitionPack, BodyOpenIncompletePartitionPack, BodyPartitionPack, FooterClosedCompletePartitionPack, FooterClosedIncompletePartitionPack, FooterPartitionPack, HeaderClosedCompletePartitionPack, HeaderClosedIncompletePartitionPack, HeaderOpenCompletePartitionPack, HeaderOpenIncompletePartitionPack, HeaderPartitionPack, PartitionPack
  All Known Implementing Classes:
    BodyClosedCompletePartitionPackImpl, BodyClosedIncompletePartitionPackImpl, BodyOpenCompletePartitionPackImpl, BodyOpenIncompletePartitionPackImpl, BodyPartitionPackImpl, FooterClosedCompletePartitionPackImpl, FooterClosedIncompletePartitionPackImpl, FooterPartitionPackImpl, HeaderClosedCompletePartitionPackImpl, HeaderClosedIncompletePartitionPackImpl, HeaderOpenCompletePartitionPackImpl, HeaderOpenIncompletePartitionPackImpl, HeaderPartitionPackImpl, IndexTableImpl, PartitionPackImpl

      public interface Padded

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getPaddingFillSize()` Returns the number of padding bytes following a significant entry in a partition, such as a partition pack or index table.
    `void` | `setPaddingFillSize(long paddingFillSize)` Set the amount of padding to include after each significant entry in the partition, allowing space for the metadata to expand over time.

- - ### Method Detail

    - #### getPaddingFillSize

          long getPaddingFillSize()

      Returns the number of padding bytes following a significant entry in a partition, such as a partition pack or index table.

      Returns:
        Padding bytes following a significant entry in a partition.

    - #### setPaddingFillSize

          void setPaddingFillSize(long paddingFillSize)
                           throws IllegalArgumentException

      Set the amount of padding to include after each significant entry in the partition, allowing space for the metadata to expand over time.

      Parameters:
        `paddingFillSize` - Size of padding to include after the partition.
      Throws:
        `IllegalArgumentException` - Cannot set the padding size to a negative value.
      See Also:
        `Partition.setPartitionPackPadding(long)`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.